> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Forms

> List forms for the current user.



## OpenAPI

````yaml /openapi.json get /api/v1/brief-forms
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brief-forms:
    get:
      tags:
        - Brief Forms
      summary: List Forms
      description: List forms for the current user.
      operationId: list_forms_api_v1_brief_forms_get
      parameters:
        - name: team_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Team Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BriefFormListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BriefFormListResponse:
      properties:
        forms:
          items:
            $ref: '#/components/schemas/BriefFormSummaryResponse'
          type: array
          title: Forms
        total:
          type: integer
          title: Total
      type: object
      required:
        - forms
        - total
      title: BriefFormListResponse
      description: Paginated list of forms.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BriefFormSummaryResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        slug:
          type: string
          title: Slug
        source_type:
          type: string
          title: Source Type
        status:
          type: string
          title: Status
        is_template:
          type: boolean
          title: Is Template
        current_version:
          type: integer
          title: Current Version
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
        field_count:
          type: integer
          title: Field Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - slug
        - source_type
        - status
        - is_template
        - current_version
        - created_at
        - updated_at
      title: BriefFormSummaryResponse
      description: Compact form info for list views.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````